package com.gyee.generation.model;


import lombok.Data;

/**
 * @author hlf
 * @date 2024/12/16 11:45
 * 文件说明：
 */
@Data
public class PointData2 {
    /**
     * 时间戳
     */
    private long ts;
    private String tagName;
    /**
     * 数据
     */
    private Double doubleValue;
    /**
     * boolean 数据
     */
    private Boolean booleanValue;

    private Long longValue;

    public PointData2() {
    }

    public PointData2(long ts, double doubleValue) {
        this.ts = ts;
        this.doubleValue = doubleValue;
    }

    public double getValue() {
        if (booleanValue != null) {
            return booleanValue ? 1.0 : 0.0;
        } else if (longValue != null) {
            doubleValue = Double.valueOf(longValue);
        }
        return doubleValue;
    }


    public boolean isBooleanValue() {
        if (booleanValue != null) {
            return booleanValue;
        } else {
            return false;
        }
    }
}


